Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
2022-09-20
cURL
curl --request PUT \ --url https://cockroachlabs.cloud/api/v1/roles/{user_id} \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '[{"name":"ORG_ROLE_CLUSTER_ADMIN","resource":{"id":"example_cluster_id","type":"CLUSTER"}}]'
{ "roles": [ { "resource": { "id": "<string>" } } ] }
{ "code": 123, "details": [ { "@type": "<string>" } ], "message": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
A successful response.